<template>
	<div>
		<EventChart ref="eventChart" v-if="this.eventChart"></EventChart>
		<SuspectsWantedChart v-if="this.suspectsChart"></SuspectsWantedChart>
		<v-btn
			elevation="2"
			outlined
			rounded
			@click="clicked"
			ref="changeChart"
			class="mt-2"
			id="button"
			>{{ this.eventChart ? 'מבוקשים / חשודים' : 'אירועים חריגים' }}</v-btn
		>
		<v-btn
			elevation="2"
			outlined
			rounded
			ref="changeChart"
			class="mt-2 mr-3"
			id="button"
			@click="thresholdFormDialog = true"
			v-if="this.eventChart"
			>הגדרת רף דיווחים</v-btn
		>
		<v-dialog
			v-model="this.thresholdFormDialog"
			width="18vw"
			@click:outside="thresholdFormDialog = false"
		>
			<thresholdForm @closeForm="closeForm"></thresholdForm>
		</v-dialog>
	</div>
</template>

<script>
import EventChart from './EventChart';
import SuspectsWantedChart from './SuspectsWantedChart';
import ThresholdForm from './ThresholdForm';

export default {
	components: {
		EventChart,
		SuspectsWantedChart,
		ThresholdForm,
	},
	data() {
		return {
			eventChart: false,
			suspectsChart: true,
			thresholdFormDialog: false,
		};
	},
	methods: {
		clicked() {
			this.eventChart = !this.eventChart;
			this.suspectsChart = !this.suspectsChart;
		},
		closeForm() {
			this.thresholdFormDialog = false;
			this.$refs.eventChart.loadChart();
		},
	},
};
</script>

<style>
#button {
	color: #266a72;
}
</style>
